## Introduction

Scripts and software used to produce the results in the manuscript "Flower".

## Scripts and software

We have collected the tools to produce the result in four folders following the
outline of the paper. For an overview of the methods used, see the Methods section 
of the paper.

<p><i>segmentation_tracking</i> has information on the segmentation and tracking used
to produce the data set for example shown in Figure 2 of the paper.</p>

<p><i>registration</i> describes the method for registration of different flowers 
onto each other (see e.g. Figure 3).</p>

<p><i>expressionAnalysis</i> has the methods for analysing the spatiotemporal
gene expression patterns of the early flower (e.g. Figures 4-5).</p>

<p><i>geneRegulation</i> has the scripts to perform model prediction and hypothesis testing of the
gene regulatory network (e.g. Figures 1 and 6).</p>

<p><i>growthAnalysis</i> holds the scripts for analysing growth and anisotropy changes 
within the dataset (e.g. Figures 7-9).</p>

We have used outside tools, in-house tools, and python scripts. See further details 
in the README files within the specific folders.

## Contact

yassin.refahi@inrae.fr

argyris.zardilis@slcu.cam.ac.uk

henrik.jonsson@slcu.cam.ac.uk

jan.traas@ens-lyon.fr
