

def fset(it): return frozenset(it)

states = {fset(['ANT', 'AS1', 'ATML1', 'ETTIN', 'FIL', 'LFY', 'MP']) : 1,
          fset(['ANT', 'ATML1', 'ETTIN', 'LFY', 'MP', 'PHB_PHV', 'PUCHI',
                'REV']) : 2,
          fset(['ANT', 'ATML1', 'LFY', 'MP', 'PHB_PHV', 'PUCHI', 'REV']) : 3,
          fset(['ATML1', 'CUC1_2_3', 'MP', 'STM']) : 4,
          fset(['ANT', 'AP1', 'AP2', 'AS1', 'ATML1', 'ETTIN', 'FIL', 'LFY', 'MP',
                'SVP']):5,
          fset(['ANT', 'AP1', 'AP2', 'LFY', 'MP', 'PHB_PHV', 'PUCHI', 'REV',
                'STM', 'SVP']): 6,
          fset(['ANT', 'AP1', 'AP2', 'ATML1', 'LFY', 'MP', 'PHB_PHV', 'REV',
                'STM', 'SVP']): 7,
          fset(['AHP6', 'ANT', 'AP1', 'AP2', 'ATML1', 'ETTIN', 'LFY', 'MP',
                'SEP1', 'SEP2']): 8,
          fset(['ANT', 'AP1', 'AP2', 'AS1', 'ATML1', 'ETTIN', 'FIL', 'LFY', 'MP',
                'SEP1', 'SEP2', 'STM', 'SVP']): 9,
          fset(['ANT', 'AP1', 'AP2', 'ATML1', 'ETTIN', 'LFY', 'MP', 'PHB_PHV',
                'REV', 'SEP1', 'SEP2', 'STM']): 10,
          fset(['ANT', 'AP1', 'AP2', 'ATML1', 'ETTIN', 'LFY', 'MP', 'SEP1',
                'SEP2']): 11,
          fset(['ANT', 'AP1', 'AP2', 'ATML1', 'ETTIN', 'LFY', 'MP', 'SEP1',
                'SEP2', 'STM']): 12,
          fset(['AG', 'AP3', 'ATML1', 'ETTIN', 'MP', 'PHB_PHV', 'PI', 'REV',
                'SEP1', 'SEP2', 'SEP3', 'STM']): 13,
          fset(['AG', 'ATML1', 'CLV3', 'ETTIN', 'MP', 'PHB_PHV', 'REV', 'SEP1',
                'SEP2', 'SEP3', 'STM']): 14,
          fset(['AG', 'ATML1', 'ETTIN', 'MP', 'PHB_PHV', 'REV', 'SEP1', 'SEP2',
                'SEP3', 'STM']): 15,
          fset(['AHP6', 'ANT', 'AP1', 'AP2', 'AS1', 'ATML1', 'ETTIN', 'FIL', 'LFY',
                'MP', 'SEP1', 'SEP2']): 16,
          fset(['ANT', 'AP1', 'AP2', 'AS1', 'ATML1', 'ETTIN', 'FIL', 'LFY', 'MP',
                'SEP1', 'SEP2']): 17,
          fset(['ANT', 'AP1', 'AP2', 'AS1', 'ATML1', 'LFY', 'MP', 'PHB_PHV', 'REV',
                'SEP1', 'SEP2']): 18,
          fset(['AP1', 'AP2', 'AP3', 'ATML1', 'CUC1_2_3', 'MP', 'PHB_PHV', 'PI',
                'REV', 'SEP1', 'SEP2', 'STM']): 19,
          fset(['AP1', 'AP2', 'ATML1', 'CUC1_2_3', 'MP', 'SEP1', 'SEP2', 'STM']): 20,
          fset(['AP1', 'AP2', 'MP', 'SEP1', 'SEP2', 'STM']): 21,
          fset(['AG', 'ANT', 'AP3', 'ATML1', 'ETTIN', 'MP', 'PHB_PHV', 'PI', 'SEP1',
                'SEP2', 'SEP3', 'STM']): 22,
          fset(['AG', 'ANT', 'ATML1', 'ETTIN', 'MP', 'PHB_PHV', 'REV', 'SEP1', 'SEP2',
                'SEP3', 'STM']): 23,
          fset(['AG', 'ANT', 'ATML1', 'ETTIN', 'MP', 'PHB_PHV', 'REV', 'SEP1', 'SEP2',
                'SEP3', 'STM', 'SUP']): 24,
          fset(['AG', 'AP3', 'ATML1', 'CUC1_2_3', 'MP', 'PI', 'SEP1', 'SEP2', 'SEP3',
                'STM']): 25,
          fset(['AHP6', 'ANT', 'AP1', 'AP2', 'AS1', 'ATML1', 'LFY', 'MP', 'PHB_PHV',
                'REV', 'SEP1', 'SEP2']): 26,
          fset(['ANT', 'AP1', 'AP2', 'AS1', 'ATML1', 'ETTIN', 'FIL', 'LFY',
                'SEP1', 'SEP2']): 27,
          fset(['ANT', 'AP1', 'AP2', 'AS1', 'FIL', 'LFY', 'SEP1', 'SEP2']): 28,
          fset(['AP1', 'AP2', 'AP3', 'ATML1', 'CUC1_2_3', 'MP', 'PI', 'SEP1',
                'SEP2', 'STM']): 29,
          fset(['AP1', 'AP2', 'AP3', 'ATML1', 'CUC1_2_3', 'MP', 'SEP1', 'SEP2',
                'STM']): 30,
          fset(['ANT', 'AS1', 'ATML1', 'ETTIN', 'FIL', 'LFY', 'MP', 'PUCHI']): 31}
                       
def get_state(gs):
    return states.get(gs, -1)
